#include "assert.h"
#include "JHashTable.h"

typedef char * key_type;
typedef int value_type;

unsigned int hash_char_ptr(const key_type& key)
{
  return 5;   // world's second worst hash algorithm
}


int main(int, char**)
{
  typedef char * key_type;
  typedef int value_type;

  Java::Hashtable <key_type, value_type> translator(hash_char_ptr, NULL);

  assert(translator.isEmpty());

  translator.put("one", 1);
  translator.put("two", 2);

  assert(translator.containsKey("one"));
  assert(translator.containsKey("two"));
  assert(!translator.containsKey("three"));

  translator.put("three", 3);
  assert(translator.containsKey("three"));
  assert(translator.containsKey("two"));
  assert(translator.containsKey("one"));

  assert(translator.contains(1));
  assert(translator.contains(2));
  assert(translator.contains(3));
  assert(!translator.contains(4));

  translator.clear();
  assert(translator.isEmpty());



//  assert ("if it fails here, all of the tests passed." == NULL);

  return 0;
}

